Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gtk::ToggleToolButtonSignals Class Reference

Abstract base class that implements the virtual signal handlers for Gtk::ToggleToolButton. More...

`#include <xfc/gtk/toggletoolbuttonsignals.hh>`

Inheritance diagram for Xfc::Gtk::ToggleToolButtonSignals:

List of all members.

## Public Member Functions

Signal Handlers

- virtual void on_toggled ()
    Called whenever the toggle tool button changes state.

## Protected Member Functions

Constructors

- ToggleToolButtonSignals (ToggleToolButton *button)
    Construct a new ToolButtonSignals object.
- virtual ~ToggleToolButtonSignals ()=0
    Destructor.

## Detailed Description

Abstract base class that implements the virtual signal handlers for Gtk::ToggleToolButton.

## Constructor & Destructor Documentation

Xfc::Gtk::ToggleToolButtonSignals::ToggleToolButtonSignals | ( | ToggleToolButton * | button | ) | `[protected]`

Construct a new ToolButtonSignals object.

Parameters:

  | button | A ToggleToolButton object inheriting the ToggleToolButtonSignals implementation.

The documentation for this class was generated from the following file:

- toggletoolbuttonsignals.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3